> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Lists all actions available for a specific tool attached to an agent.

# Get actions available within a tool for agent

For the complete error reference, see [Error Guide](/rest-api/ai-agents-apis/error-codes).


## OpenAPI

````yaml get /ai-agents/agent-builder/agents/{uid}/tools/{slug}/actions
openapi: 3.0.0
info:
  title: AI Agents APIs
  description: API reference for CometChat AI Agents service
  version: '1.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: ai-agent
    description: ''
paths:
  /ai-agents/agent-builder/agents/{uid}/tools/{slug}/actions:
    get:
      tags:
        - Agent Builder Ready to Use Tools
      summary: Get actions available within a tool for agent
      description: Lists all actions available for a specific tool attached to an agent.
      operationId: ReadyToUseToolsController_getAvailableToolsForAgent
      parameters:
        - name: uid
          required: true
          in: path
          description: AI Agent UID
          schema:
            type: string
        - name: slug
          required: true
          in: path
          description: Get actions available within a tool (e.g., send-email, draft-email)
          schema:
            type: string
      responses:
        '200':
          description: Available tool actions retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    name:
                      type: string
                    displayName:
                      type: string
                    description:
                      type: string
              example:
                - name: GMAIL_SEND_EMAIL
                  displayName: Send Email
                  description: Send an email via Gmail
                - name: GMAIL_DRAFT_EMAIL
                  displayName: Draft Email
                  description: Create a draft email
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key (i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````